Get Customer
curl --request GET \
--url https://mapi.zbx.boomfi.xyz/v1/customers/{customerID} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/customers/{customerID}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.zbx.boomfi.xyz/v1/customers/{customerID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "<string>",
"customer_ident": "<string>",
"email": "<string>",
"guest": true,
"id": "<string>",
"is_deleted": true,
"last_payment_date": "<string>",
"metadata": {},
"name": "<string>",
"organisation_id": "<string>",
"payments_count": 123,
"phone": "<string>",
"properties": {},
"updated_at": "<string>",
"wallet_address": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Customers
Get Customer
Get customer
GET
/
customers
/
{customerID}
Get Customer
Authorizations
Path Parameters
Unique customer identifier or merchant customer reference
⌘I